summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/l/polkit/polkit.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/l/polkit/polkit.SlackBuild')
-rwxr-xr-xslackware64-current/source/l/polkit/polkit.SlackBuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/slackware64-current/source/l/polkit/polkit.SlackBuild b/slackware64-current/source/l/polkit/polkit.SlackBuild
index 0d89e18b6..7b9f49dd5 100755
--- a/slackware64-current/source/l/polkit/polkit.SlackBuild
+++ b/slackware64-current/source/l/polkit/polkit.SlackBuild
@@ -25,7 +25,7 @@
PKGNAM=polkit
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,6 +74,12 @@ find . \
zcat $CWD/dont-set-wheel-group-as-admin.diff.gz | patch -p1 || exit 1
+# Add some patches from git
+zcat $CWD/0001-Fix-a-memory-leak-of-PolkitAgentListener-s-Server-ob.patch | patch -p1 || exit 1
+zcat $CWD/0004-polkit-Add-g_autoptr-support-for-GObject-derived-pol.patch | patch -p1 || exit 1
+zcat $CWD/0005-data-Set-GIO_USE_VFS-local-in-the-environment.patch | patch -p1 || exit 1
+zcat $CWD/0015-polkitpermission-Fix-a-memory-leak-on-authority-chan.patch | patch -p1 || exit 1
+
# If we get here and don't have a polkitd user/group, add one.
# Otherwise a few directories in the package will have wrong permissions.
if ! grep -q "^polkitd:" /etc/passwd ; then